using System;
using System.Windows;
using System.Windows.Media;
using Steema.TeeChart.Silverlight;
using Steema.TeeChart.Silverlight.Styles;

namespace CHART
{
    public class LithologyChart
    {
        private TChart _chart;
        private Steema.TeeChart.Silverlight.Styles.Bar _bar;
        private Steema.TeeChart.Silverlight.Styles.Bar _bar1;
        private Steema.TeeChart.Silverlight.Styles.Bar _bar2;

        public LithologyChart(Steema.TeeChart.Silverlight.TChart chart)
        {
            _chart = chart;
            _chart.Aspect.View3D = false;
            _chart.Walls.Back.Visible = false;

            _chart.Axes.Left.Grid.Visible = false;

            _chart.Axes.Visible = true;
            _chart.Axes.Left.Automatic = true;
            _chart.Axes.Left.AutomaticMaximum = false;
            _chart.Axes.Left.AutomaticMinimum = true;
            _chart.Axes.Left.Minimum = 0;
            _chart.Axes.Left.MinimumOffset = 1;
            _chart.Axes.Left.MaximumOffset = 1;
            _chart.Axes.Left.Increment = 5;
            _chart.Axes.Left.AxisPen.Visible = false;
            //_chart.Axes.Left.AxisPen.Width = 1;
            _chart.Axes.Left.Title.Text = "Depth (m)";
            _chart.Axes.Left.Title.Font.Color = Color.FromArgb(255, 0, 0, 0);
            _chart.Axes.Left.Title.Font.Size = 8;
            _chart.Axes.Left.Labels.Font.Color = Color.FromArgb(255, 0, 0, 0);
            _chart.Axes.Left.Labels.Font.Size = 8;
            _chart.Axes.Left.Labels.Visible = true;
            //_chart.Axes.Left.Grid.Color = Color.FromArgb(255, 192, 192, 192);
            //_chart.Axes.Left.Grid.Style = Steema.TeeChart.Silverlight.Drawing.DashStyles.Solid;
            _chart.Axes.Left.Grid.Visible = false;

            _chart.Axes.Bottom.Visible = false;
            _chart.Axes.Bottom.Automatic = false;
            _chart.Axes.Bottom.Minimum = 0;
            _chart.Axes.Bottom.Maximum = 100;
            //_chart.Axes.Bottom.MaximumOffset = 10;
            _chart.Legend.Visible = false;
            _chart.Walls.Visible = false;
            _chart.Walls.Back.Pen.Color = Color.FromArgb(255, 192, 192, 192);

           
        }

        public void Plot(NGIS.Business.FeatureLithologyLogChartList log)
        {
            //Image
            for (int i = 0; i < log.Count; i++)
            {
                Steema.TeeChart.Silverlight.Styles.Bar bar = new Bar(_chart.Chart);
                bar.Brush.Color = Color.FromArgb(255, 255, 0, 0);
                bar.Pen.Color = Color.FromArgb(255, 0, 0, 0);
                bar.Marks.Visible = false;
                bar.MultiBar = MultiBars.Stacked;
                bar.StackGroup = 3;
                bar.CustomBarWidth = 75;
                bar.Add(1, (double)log[i].DepthToBottom * -1);
            }

            //Short Name
            for (int i = 0; i < log.Count; i++)
            {
                Steema.TeeChart.Silverlight.Styles.Bar bar = new Bar(_chart.Chart);
                bar.Brush.Color = Color.FromArgb(255, 255, 255, 255);
                bar.Pen.Color = Color.FromArgb(255, 255, 255, 255);
                bar.Marks.Visible = false;
                bar.MultiBar = MultiBars.Stacked;
                bar.StackGroup = 2;
                bar.CustomBarWidth = 100;
                bar.Marks.Transparent = true;
                bar.Marks.Visible = true;
                bar.Marks.Shadow.Visible = false;
                bar.MarksLocation = MarksLocation.Center;
                bar.Marks.TextAlign = TextAlignment.Left;
                bar.Marks.Style = MarksStyles.Label;
                bar.Marks.Brush.Color = Color.FromArgb(255, 255, 255, 255);
                bar.MarksOnBar = true;
                bar.Marks.MultiLine = true;
                
                bar.Add(1, (double)log[i].DepthToBottom * -1, log[i].LithologyName.ToString());
            }
            // Description
            for (int i = 0; i < log.Count; i++)
            {
                Steema.TeeChart.Silverlight.Styles.Bar bar = new Bar(_chart.Chart);
                bar.Brush.Color = Color.FromArgb(255, 255, 255, 255);
                bar.Pen.Color = Color.FromArgb(255, 255, 255, 255);
                bar.Marks.Visible = false;
                bar.MultiBar = MultiBars.Stacked;
                bar.StackGroup = 1;
                bar.CustomBarWidth = 100;
                bar.Marks.Transparent = true;
                bar.Marks.Visible = true;
                bar.Marks.Shadow.Visible = false;
                bar.MarksLocation = MarksLocation.Center;
                bar.Marks.TextAlign = TextAlignment.Left;
                bar.Marks.Style = MarksStyles.Label;
                bar.Marks.Brush.Color = Color.FromArgb(255, 255, 255, 255);
                bar.MarksOnBar = true;
                bar.Marks.MultiLine = true;
                bar.Marks.ClipText = true;
                bar.Add(1, (double)log[i].DepthToBottom * -1, log[i].LithologyDescription.ToString());
            }
			}
    }
}